local mod = MorgDKP2:NewModule("FixedDKP")
local L = LibStub("AceLocale-3.0"):GetLocale("MorgDKP2")
local media = LibStub("LibSharedMedia-3.0", true)
local BC = LibStub("LibBabble-Class-3.0"):GetLookupTable()

local mdkp = MorgDKP2

--locals
local LL = LibStub("AceLocale-3.0"):NewLocale("FixedDKP", "enUS", true)
	
if LL then
	LL["Fixed DKP"] = true
	LL["Enable"] = true
	LL["Standard DKP system."] = true
end

local LL = LibStub("AceLocale-3.0"):GetLocale("FixedDKP")

mod.modName = LL["Fixed DKP"]
mod.modref = "FixedDKP"

local Player = UnitName("player")
local db
local fmt = string.format
local floor = math.floor

local defaults = { 
	profile = {
		
	},
}

local options = {
		type = "group",
		handler = mod,
		name = LL["Fixed DKP"],
		desc = LL["Fixed DKP"],
		order = 360,
		args = {
			enable = {
				type = "toggle",
				name = LL["Enable"],
				desc = LL["Standard DKP system."],
				get = function() return mdkp.db.profile.modules.FixedDKP end,
				set = 	function(info, v) 
						mdkp.db.profile.modules.FixedDKP = not v
						if v then 
							mod:DKPChange(mod.modName)
						else 
							mod:Disable()
							mdkp.db.profile.currDKP = nil 	
						end
					end,
				order = 5
			},
		},
}

function mod:GetOptions()
	return options
end

function mod:GetName()
	return mod.modName, mod.modref
end

function mod:IsDKP()
	return true
end

function mod:OnInitialize()
	self.db = mdkp.db:RegisterNamespace("FixedDKP", defaults)
	
end

function mod:OnEnable()
	db = mdkp.db.profile
	db.moduleON["FixedDKP"] = true
end

function mod:OnDisable()
	db.moduleON["FixedDKP"] = nil
				
end

function mod:GetPlayerPoints(name, POOL)
	return db.info[name][POOL].points
end

function mod:GetItemValue(itemid, player, POOL)
	local itempoints = db.items[itemid].points
	if db.takemode or db.offspecmode then
		local take = db.takeamount
		local offspec = db.offspecamount
		if mdkp.querytooltips[itemid] then
			for  i,v in pairs(mdkp.querytooltips[itemid]) do
				if v[1].n == player then
					if db.takemode and v[2] == "TAKE" then 
						if db.takepercent then itempoints = itempoints * take / 100
						else itempoints = take end
					elseif db.offspecmode and v[2] == "OFFSPEC" then 
						if db.takepercent then itempoints = itempoints * offspec / 100
						else itempoints = offspec end
					end
					break
				end
			end
		end
	end
	itempoints = floor(itempoints + 0.5)
	return itempoints
end

function mod:ItemRecorded(id, looter, POOL, points, itempoints, link)
	if looter == L["Bank"] then return end
	points = points - itempoints
	self:AwardItem(id, looter, POOL, points, itempoints, link)
end

function mod:ItemRebate(id, looter, POOL, itempoints, link)
	if not id or looter == L["Bank"] then return end
	self:AdjustDKPPoints(looter, looter, POOL, nil, itempoints)
end
